package cn.pluss.platform.mapper;

import cn.pluss.platform.entity.QrCode;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 二维码mapper
 */
@Mapper
public interface QrCodeMapper extends BaseMapper<QrCode> {

    //查询list列表
    List<QrCode>  queryQrCodeList(QrCode qrCode);

    QrCode getQrCode(QrCode qrCode);

    void saveQrCode(QrCode qrCode);
    //批量新增
    void batchSaveQrCode(List<QrCode> qrCode);
    //修改
    void updateQrCode(QrCode qrCode);
    //删除
    void deleteQrCode(QrCode qrCode);

    List<QrCode> queryQrCodePage(Map map);

    Integer queryQrCodePageCount(Map map);

    QrCode getQrCodeByQrNo(String qrNo);

    void deleteQrCodeByIds(String[] ids);

    Integer checkQrNo(List<String> checkQrNo);
}
